NX Open C++ Reference Guide
|
Represents a Trim Angle Check builder <br> To create a new instance of this class, use @link Tooling::AutoDieCollection::CreateDieEngTrimAngleCheckBuilder Tooling::AutoDieCollection::CreateDieEngTrimAngleCheckBuilder @endlink <br>
Default values. More...
Public Types | |
enum | DirectionOptions { DirectionOptionsByVector, DirectionOptionsByAngles } |
Options to determine the method to specify direction. More... | |
Public Member Functions | |
bool | AutoFit () |
Returns the option to indicate whether to fit or not when selecting trimming curve(s) on the trimming curve list Created in NX8.5.0. | |
NXOpen::Expression * | CheckPointSpacing () |
Returns the maximum distance between two check points Created in NX8.5.0. | |
NXOpen::Tooling::DieEngTrimAngleCheckBuilder::DirectionOptions | DirectionOption () |
Returns the option to set the method of defining trimming direction Created in NX9.0.0. | |
NXOpen::Expression * | ElevationAngle () |
Returns the elevation angle Created in NX9.0.0. | |
void | GetJoinedSelectedCurves (std::vector< NXOpen::Curve * > &joinedSelectedCurves) |
Get the joined trimming curves. | |
void | GetTrimSideTags (std::vector< NXOpen::Direction * > &trimSideTags) |
Get the vector tags of joined trimming curve trim sides. | |
bool | HideSafeZone () |
Returns the option to indicate whether to hide the feedback objects whose trim angles are in the safe zone or not Created in NX9.0.0. | |
void | JoinCurvesAndEdges (const std::vector< NXOpen::ICurve * > &inputCrvs, double distTol, std::vector< NXOpen::ICurve * > &outputCrvs) |
Join the input curves and edges. | |
double | LineScale () |
Returns the line scale Created in NX8.5.0. | |
NXOpen::Expression * | MaxAngle () |
Returns the upper limit of a valid trim angle Created in NX8.5.0. | |
NXOpen::Expression * | MinAngle () |
Returns the lower limit of a valid trim angle Created in NX8.5.0. | |
NXOpen::Expression * | PlaneAngle () |
Returns the plane angle Created in NX9.0.0. | |
void | SetAutoFit (bool autoFit) |
Sets the option to indicate whether to fit or not when selecting trimming curve(s) on the trimming curve list Created in NX8.5.0. | |
void | SetDirectionOption (NXOpen::Tooling::DieEngTrimAngleCheckBuilder::DirectionOptions directionOption) |
Sets the option to set the method of defining trimming direction Created in NX9.0.0. | |
void | SetHideSafeZone (bool hideSafeZone) |
Sets the option to indicate whether to hide the feedback objects whose trim angles are in the safe zone or not Created in NX9.0.0. | |
void | SetJoinedSelectedCurves (const std::vector< NXOpen::Curve * > &joinedSelectedCurves) |
Set the joined trimming curves. | |
void | SetLineScale (double lineScale) |
Sets the line scale Created in NX8.5.0. | |
void | SetTrimmingDirection (NXOpen::Direction *trimmingDirection) |
Sets the trimming direction Created in NX8.5.0. | |
void | SetTrimSideTags (const std::vector< NXOpen::Direction * > &trimSideTags) |
Set the vector tags of joined trimming curve trim sides. | |
NXOpen::ScCollector * | TrimmingCurves () |
Returns the trimming curves Created in NX8.5.0. | |
NXOpen::Direction * | TrimmingDirection () |
Returns the trimming direction Created in NX8.5.0. | |
NXOpen::ScCollector * | TrimmingFaces () |
Returns the trimming faces Created in NX8.5.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Trim Angle Check builder <br> To create a new instance of this class, use @link Tooling::AutoDieCollection::CreateDieEngTrimAngleCheckBuilder Tooling::AutoDieCollection::CreateDieEngTrimAngleCheckBuilder @endlink <br>
Default values.
Property | Value |
---|---|
CheckPointSpacing.Value |
25.4 (millimeters part), 1 (inches part) |
DirectionOption |
ByVector |
ElevationAngle.Value |
90 |
LineScale |
1 |
MaxAngle.Value |
20 |
MinAngle.Value |
-15 |
PlaneAngle.Value |
0 |
Created in NX8.5.0.
Options to determine the method to specify direction.
bool NXOpen::Tooling::DieEngTrimAngleCheckBuilder::AutoFit | ( | ) |
Returns the option to indicate whether to fit or not when selecting trimming curve(s) on the trimming curve list
Created in NX8.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Tooling::DieEngTrimAngleCheckBuilder::CheckPointSpacing | ( | ) |
Returns the maximum distance between two check points
Created in NX8.5.0.
License requirements : None
NXOpen::Tooling::DieEngTrimAngleCheckBuilder::DirectionOptions NXOpen::Tooling::DieEngTrimAngleCheckBuilder::DirectionOption | ( | ) |
Returns the option to set the method of defining trimming direction
Created in NX9.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Tooling::DieEngTrimAngleCheckBuilder::ElevationAngle | ( | ) |
Returns the elevation angle
Created in NX9.0.0.
License requirements : None
void NXOpen::Tooling::DieEngTrimAngleCheckBuilder::GetJoinedSelectedCurves | ( | std::vector< NXOpen::Curve * > & | joinedSelectedCurves | ) |
Get the joined trimming curves.
If join is not needed, they are the copies of trimming curves.
Created in NX9.0.0.
License requirements : None
joinedSelectedCurves | joinedselectedcurves |
void NXOpen::Tooling::DieEngTrimAngleCheckBuilder::GetTrimSideTags | ( | std::vector< NXOpen::Direction * > & | trimSideTags | ) |
Get the vector tags of joined trimming curve trim sides.
Created in NX9.0.0.
License requirements : None
trimSideTags | trimsidetags |
bool NXOpen::Tooling::DieEngTrimAngleCheckBuilder::HideSafeZone | ( | ) |
Returns the option to indicate whether to hide the feedback objects whose trim angles are in the safe zone or not
Created in NX9.0.0.
License requirements : None
void NXOpen::Tooling::DieEngTrimAngleCheckBuilder::JoinCurvesAndEdges | ( | const std::vector< NXOpen::ICurve * > & | inputCrvs, |
double | distTol, | ||
std::vector< NXOpen::ICurve * > & | outputCrvs | ||
) |
Join the input curves and edges.
Original curves and edges won't be modified.
Created in NX9.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
inputCrvs | Curves/Edges to be joined. |
distTol | Distance tolerance. |
outputCrvs | Joined curves/edges or copies of the input curves/edges if join is not needed. |
double NXOpen::Tooling::DieEngTrimAngleCheckBuilder::LineScale | ( | ) |
Returns the line scale
Created in NX8.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Tooling::DieEngTrimAngleCheckBuilder::MaxAngle | ( | ) |
Returns the upper limit of a valid trim angle
Created in NX8.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Tooling::DieEngTrimAngleCheckBuilder::MinAngle | ( | ) |
Returns the lower limit of a valid trim angle
Created in NX8.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Tooling::DieEngTrimAngleCheckBuilder::PlaneAngle | ( | ) |
Returns the plane angle
Created in NX9.0.0.
License requirements : None
void NXOpen::Tooling::DieEngTrimAngleCheckBuilder::SetAutoFit | ( | bool | autoFit | ) |
Sets the option to indicate whether to fit or not when selecting trimming curve(s) on the trimming curve list
Created in NX8.5.0.
License requirements : die_engineering ("DIE ENGINEERING")
autoFit | autofit |
void NXOpen::Tooling::DieEngTrimAngleCheckBuilder::SetDirectionOption | ( | NXOpen::Tooling::DieEngTrimAngleCheckBuilder::DirectionOptions | directionOption | ) |
Sets the option to set the method of defining trimming direction
Created in NX9.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
directionOption | directionoption |
void NXOpen::Tooling::DieEngTrimAngleCheckBuilder::SetHideSafeZone | ( | bool | hideSafeZone | ) |
Sets the option to indicate whether to hide the feedback objects whose trim angles are in the safe zone or not
Created in NX9.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
hideSafeZone | hidesafezone |
void NXOpen::Tooling::DieEngTrimAngleCheckBuilder::SetJoinedSelectedCurves | ( | const std::vector< NXOpen::Curve * > & | joinedSelectedCurves | ) |
Set the joined trimming curves.
If join is not needed, they are the copies of trimming curves.
Created in NX9.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
joinedSelectedCurves | joinedselectedcurves |
void NXOpen::Tooling::DieEngTrimAngleCheckBuilder::SetLineScale | ( | double | lineScale | ) |
Sets the line scale
Created in NX8.5.0.
License requirements : die_engineering ("DIE ENGINEERING")
lineScale | linescale |
void NXOpen::Tooling::DieEngTrimAngleCheckBuilder::SetTrimmingDirection | ( | NXOpen::Direction * | trimmingDirection | ) |
Sets the trimming direction
Created in NX8.5.0.
License requirements : die_engineering ("DIE ENGINEERING")
trimmingDirection | trimmingdirection |
void NXOpen::Tooling::DieEngTrimAngleCheckBuilder::SetTrimSideTags | ( | const std::vector< NXOpen::Direction * > & | trimSideTags | ) |
Set the vector tags of joined trimming curve trim sides.
Created in NX9.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
trimSideTags | trimsidetags |
NXOpen::ScCollector* NXOpen::Tooling::DieEngTrimAngleCheckBuilder::TrimmingCurves | ( | ) |
Returns the trimming curves
Created in NX8.5.0.
License requirements : None
NXOpen::Direction* NXOpen::Tooling::DieEngTrimAngleCheckBuilder::TrimmingDirection | ( | ) |
Returns the trimming direction
Created in NX8.5.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Tooling::DieEngTrimAngleCheckBuilder::TrimmingFaces | ( | ) |
Returns the trimming faces
Created in NX8.5.0.
License requirements : None